This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 996896 - ClassNotFoundException when uploading a POJO jar which contains a sub class only
ClassNotFoundException when uploading a POJO jar which contains a sub class only
Status: NEW
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: manstis
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 04:57 EDT by Toshiya Kobayashi
Modified: 2015-12-04 10:18 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 996905 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GUVNOR-2043 Major Closed ClassNotFoundException when uploading a POJO jar which contains a sub class only 2015-12-04 10:18 EST

  None (edit)
Description Toshiya Kobayashi 2013-08-14 04:57:09 EDT
Description of problem:

Platform BZ for https://issues.jboss.org/browse/GUVNOR-2043

Steps to Reproduce:
Use reproducer attached to GUVNOR-2043

1. Upload 'includingSuper.jar' to deafultPackage via Guvnor's 'Upload POJO Model jar'
2. Upload 'excludingSuper.jar' to deafultPackage via Guvnor's 'Upload POJO Model jar'

Actual results:

Throws ClassNotFoundException

Expected results:

jar is uploaded without Exception
Comment 2 JBoss JIRA Server 2015-12-04 10:18:04 EST
Toni Rikkola <toni@rikkola.net> updated the status of jira GUVNOR-2043 to Closed

Note You need to log in before you can comment on or make changes to this bug.